<template>
  <!-- 规则 -->
  <div class="rule" @click="jumpUrl">
    <cr-image :src="sourceData.activityRulesImageUrl" />
  </div>
</template>

<script>
export default {
  props: {
    sourceData: {
      type: Object,
      default: () => {}
    }
  },
  data() {
    return {};
  },
  methods: {
    jumpUrl() {
      if (this.sourceData.activityRulesUrl) {
        window.location.href = this.sourceData.activityRulesUrl;
      }
      return;
    }
  }
};
</script>

<style lang="less" scoped>
.rule {
  position: absolute;
  right: 0;
  top: 135px;
  height: 33px;
  width: 47px;
  img {
    width: 100%;
    height: 100%;
  }
}
</style>
